Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -3133,14 +3139,14 @@
 
              swap_diss_y_local_u(k) = - ABS ( v_comp ) * (                    &
-                                   ( 10.0 * ibit14 * adv_mom_5                &
-                                +     3.0 * ibit13 * adv_mom_3                &
-                                +           ibit12 * adv_mom_1                &
+                                   ( 10.0_wp * ibit14 * adv_mom_5                &
+                                +     3.0_wp * ibit13 * adv_mom_3                &
+                                +              ibit12 * adv_mom_1                &
                                    ) *                                        &
                                      ( u(k,j,i)   - u(k,j-1,i) )              &
-                            -      (  5.0 * ibit14 * adv_mom_5                &
-                                +           ibit13 * adv_mom_3                &
+                            -      (  5.0_wp * ibit14 * adv_mom_5                &
+                                +              ibit13 * adv_mom_3                &
                                    ) *                                        &
                                      ( u(k,j+1,i) - u(k,j-2,i) )              &
-                            +      (        ibit14 * adv_mom_5                &
+                            +      (           ibit14 * adv_mom_5                &
                                    ) *                                        &
                                      ( u(k,j+2,i) - u(k,j-3,i) )              &
@@ -3153,11 +3159,11 @@
              v_comp                 = v(k,j,i) + v(k,j,i-1) - gv
              swap_flux_y_local_u(k) = v_comp * (                              &
-                           37.0 * ( u(k,j,i) + u(k,j-1,i)   )                 &
-                         -  8.0 * ( u(k,j+1,i) + u(k,j-2,i) )                 &
-                         +        ( u(k,j+2,i) + u(k,j-3,i) ) ) * adv_mom_5
+                           37.0_wp * ( u(k,j,i) + u(k,j-1,i)   )                 &
+                         -  8.0_wp * ( u(k,j+1,i) + u(k,j-2,i) )                 &
+                         +           ( u(k,j+2,i) + u(k,j-3,i) ) ) * adv_mom_5
              swap_diss_y_local_u(k) = - ABS(v_comp) * (                       &
-                           10.0 * ( u(k,j,i) - u(k,j-1,i)   )                 &
-                         -  5.0 * ( u(k,j+1,i) - u(k,j-2,i) )                 &
-                         +        ( u(k,j+2,i) - u(k,j-3,i) ) ) * adv_mom_5
+                           10.0_wp * ( u(k,j,i) - u(k,j-1,i)   )                 &
+                         -  5.0_wp * ( u(k,j+1,i) - u(k,j-2,i) )                 &
+                         +           ( u(k,j+2,i) - u(k,j-3,i) ) ) * adv_mom_5
 
           ENDDO
@@ -3166,8 +3172,8 @@
           DO  j = nys, nyn
 
-             flux_t(0) = 0.0
-             diss_t(0) = 0.0
-             flux_d    = 0.0
-             diss_d    = 0.0
+             flux_t(0) = 0.0_wp
+             diss_t(0) = 0.0_wp
+             flux_d    = 0.0_wp
+             diss_d    = 0.0_wp
 
              DO  k = nzb+1, nzb_max
@@ -3179,14 +3185,14 @@
                 u_comp(k) = u(k,j,i+1) + u(k,j,i)
                 flux_r(k) = ( u_comp(k) - gu ) * (                           &
-                          ( 37.0 * ibit11 * adv_mom_5                        &
-                       +     7.0 * ibit10 * adv_mom_3                        &
-                       +           ibit9  * adv_mom_1                        &
+                          ( 37.0_wp * ibit11 * adv_mom_5                        &
+                       +     7.0_wp * ibit10 * adv_mom_3                        &
+                       +              ibit9  * adv_mom_1                        &
                           ) *                                                &
                                  ( u(k,j,i+1) + u(k,j,i)   )                 &
-                   -      (  8.0 * ibit11 * adv_mom_5                        &
-                       +           ibit10 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit11 * adv_mom_5                        &
+                       +              ibit10 * adv_mom_3                        &
                           ) *                                                &
                                  ( u(k,j,i+2) + u(k,j,i-1) )                 &
-                   +      (        ibit11 * adv_mom_5                        &
+                   +      (           ibit11 * adv_mom_5                        &
                           ) *                                                &
                                  ( u(k,j,i+3) + u(k,j,i-2) )                 &
@@ -3194,14 +3200,14 @@
 
                 diss_r(k) = - ABS( u_comp(k) - gu ) * (                      &
-                          ( 10.0 * ibit11 * adv_mom_5                        &
-                       +     3.0 * ibit10 * adv_mom_3                        & 
-                       +           ibit9  * adv_mom_1                        &
+                          ( 10.0_wp * ibit11 * adv_mom_5                        &
+                       +     3.0_wp * ibit10 * adv_mom_3                        & 
+                       +              ibit9  * adv_mom_1                        &
                           ) *                                                &
                                  ( u(k,j,i+1) - u(k,j,i)  )                  &
-                   -      (  5.0 * ibit11 * adv_mom_5                        &
-                       +           ibit10 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit11 * adv_mom_5                        &
+                       +              ibit10 * adv_mom_3                        &
                           ) *                                                &
                                  ( u(k,j,i+2) - u(k,j,i-1) )                 &
-                   +      (        ibit11 * adv_mom_5                        &
+                   +      (           ibit11 * adv_mom_5                        &
                           ) *                                                &
                                  ( u(k,j,i+3) - u(k,j,i-2) )                 &
@@ -3214,14 +3220,14 @@
                 v_comp    = v(k,j+1,i) + v(k,j+1,i-1) - gv
                 flux_n(k) = v_comp * (                                       &
-                          ( 37.0 * ibit14 * adv_mom_5                        &
-                       +     7.0 * ibit13 * adv_mom_3                        &
-                       +           ibit12 * adv_mom_1                        &
+                          ( 37.0_wp * ibit14 * adv_mom_5                        &
+                       +     7.0_wp * ibit13 * adv_mom_3                        &
+                       +              ibit12 * adv_mom_1                        &
                           ) *                                                &
                                  ( u(k,j+1,i) + u(k,j,i)   )                 &
-                   -      (  8.0 * ibit14 * adv_mom_5                        &
-                       +           ibit13 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit14 * adv_mom_5                        &
+                       +              ibit13 * adv_mom_3                        &
                           ) *                                                &
                                  ( u(k,j+2,i) + u(k,j-1,i) )                 &
-                   +      (        ibit14 * adv_mom_5                        & 
+                   +      (           ibit14 * adv_mom_5                        & 
                           ) *                                                &
                                  ( u(k,j+3,i) + u(k,j-2,i) )                 &
@@ -3229,14 +3235,14 @@
 
                 diss_n(k) = - ABS ( v_comp ) * (                             &
-                          ( 10.0 * ibit14 * adv_mom_5                        &
-                       +     3.0 * ibit13 * adv_mom_3                        &
-                       +           ibit12 * adv_mom_1                        &
+                          ( 10.0_wp * ibit14 * adv_mom_5                        &
+                       +     3.0_wp * ibit13 * adv_mom_3                        &
+                       +              ibit12 * adv_mom_1                        &
                           ) *                                                &
                                  ( u(k,j+1,i) - u(k,j,i)  )                  &
-                   -      (  5.0 * ibit14 * adv_mom_5                        &
-                       +           ibit13 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit14 * adv_mom_5                        &
+                       +              ibit13 * adv_mom_3                        &
                           ) *                                                &
                                  ( u(k,j+2,i) - u(k,j-1,i) )                 &
-                   +      (        ibit14 * adv_mom_5                        &
+                   +      (           ibit14 * adv_mom_5                        &
                           ) *                                                &
                                  ( u(k,j+3,i) - u(k,j-2,i) )                 &
@@ -3255,14 +3261,14 @@
                 w_comp    = w(k,j,i) + w(k,j,i-1)
                 flux_t(k) = w_comp  * (                                      &
-                          ( 37.0 * ibit17 * adv_mom_5                        &
-                       +     7.0 * ibit16 * adv_mom_3                        &
-                       +           ibit15 * adv_mom_1                        & 
+                          ( 37.0_wp * ibit17 * adv_mom_5                        &
+                       +     7.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        & 
                           ) *                                                &
                              ( u(k+1,j,i)  + u(k,j,i)     )                  &
-                   -      (  8.0 * ibit17 * adv_mom_5                        &
-                       +           ibit16 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( u(k_pp,j,i) + u(k-1,j,i)   )                  &
-                   +      (        ibit17 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                           ) *                                                &
                              ( u(k_ppp,j,i) + u(k_mm,j,i) )                  &
@@ -3270,14 +3276,14 @@
 
                 diss_t(k) = - ABS( w_comp ) * (                              &
-                          ( 10.0 * ibit17 * adv_mom_5                        &
-                       +     3.0 * ibit16 * adv_mom_3                        &
-                       +           ibit15 * adv_mom_1                        &
+                          ( 10.0_wp * ibit17 * adv_mom_5                        &
+                       +     3.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        &
                           ) *                                                &
                              ( u(k+1,j,i)   - u(k,j,i)    )                  &
-                   -      (  5.0 * ibit17 * adv_mom_5                        &
-                       +           ibit16 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( u(k_pp,j,i)  - u(k-1,j,i)  )                  &
-                   +      (        ibit17 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                            ) *                                               &
                              ( u(k_ppp,j,i) - u(k_mm,j,i) )                  &
@@ -3291,5 +3297,5 @@
                      +  ( w_comp      - ( w(k-1,j,i) + w(k-1,j,i-1) ) )        &
                                                                     * ddzw(k)  &
-                      ) * 0.5
+                      ) * 0.5_wp
 
                 tend(k,j,i) = tend(k,j,i) - (                                  &
@@ -3314,8 +3320,8 @@
                 sums_us2_ws_l(k,tn) = sums_us2_ws_l(k,tn)                     &
                               + ( flux_r(k) *                                 &
-                                ( u_comp(k) - 2.0 * hom(k,1,1,0) )            &
+                                ( u_comp(k) - 2.0_wp * hom(k,1,1,0) )            &
                               / ( u_comp(k) - gu + 1.0E-20_wp    )            &
                               +   diss_r(k) *                                 &
-                                  ABS( u_comp(k) - 2.0 * hom(k,1,1,0) )       &
+                                  ABS( u_comp(k) - 2.0_wp * hom(k,1,1,0) )       &
                               / ( ABS( u_comp(k) - gu ) + 1.0E-20_wp ) )      &
                               *   weight_substep(intermediate_timestep_count)
@@ -3331,21 +3337,21 @@
                 u_comp(k) = u(k,j,i+1) + u(k,j,i)
                 flux_r(k) = ( u_comp(k) - gu ) * (                            &
-                         37.0 * ( u(k,j,i+1) + u(k,j,i)   )                   &
-                       -  8.0 * ( u(k,j,i+2) + u(k,j,i-1) )                   &
-                       +        ( u(k,j,i+3) + u(k,j,i-2) ) ) * adv_mom_5
+                         37.0_wp * ( u(k,j,i+1) + u(k,j,i)   )                   &
+                       -  8.0_wp * ( u(k,j,i+2) + u(k,j,i-1) )                   &
+                       +           ( u(k,j,i+3) + u(k,j,i-2) ) ) * adv_mom_5
                 diss_r(k) = - ABS( u_comp(k) - gu ) * (                       &
-                         10.0 * ( u(k,j,i+1) - u(k,j,i)   )                   &
-                       -  5.0 * ( u(k,j,i+2) - u(k,j,i-1) )                   &
-                       +        ( u(k,j,i+3) - u(k,j,i-2) ) ) * adv_mom_5
+                         10.0_wp * ( u(k,j,i+1) - u(k,j,i)   )                   &
+                       -  5.0_wp * ( u(k,j,i+2) - u(k,j,i-1) )                   &
+                       +           ( u(k,j,i+3) - u(k,j,i-2) ) ) * adv_mom_5
 
                 v_comp    = v(k,j+1,i) + v(k,j+1,i-1) - gv
                 flux_n(k) = v_comp * (                                        &
-                         37.0 * ( u(k,j+1,i) + u(k,j,i)   )                   &
-                       -  8.0 * ( u(k,j+2,i) + u(k,j-1,i) )                   &
-                       +        ( u(k,j+3,i) + u(k,j-2,i) ) ) * adv_mom_5
+                         37.0_wp * ( u(k,j+1,i) + u(k,j,i)   )                   &
+                       -  8.0_wp * ( u(k,j+2,i) + u(k,j-1,i) )                   &
+                       +           ( u(k,j+3,i) + u(k,j-2,i) ) ) * adv_mom_5
                 diss_n(k) = - ABS( v_comp ) * (                               &
-                         10.0 * ( u(k,j+1,i) - u(k,j,i)   )                   &
-                       -  5.0 * ( u(k,j+2,i) - u(k,j-1,i) )                   &
-                       +        ( u(k,j+3,i) - u(k,j-2,i) ) ) * adv_mom_5
+                         10.0_wp * ( u(k,j+1,i) - u(k,j,i)   )                   &
+                       -  5.0_wp * ( u(k,j+2,i) - u(k,j-1,i) )                   &
+                       +           ( u(k,j+3,i) - u(k,j-2,i) ) ) * adv_mom_5
 !
 !--             k index has to be modified near bottom and top, else array
@@ -3361,14 +3367,14 @@
                 w_comp    = w(k,j,i) + w(k,j,i-1)
                 flux_t(k) = w_comp  * (                                      &
-                          ( 37.0 * ibit17 * adv_mom_5                        &
-                       +     7.0 * ibit16 * adv_mom_3                        &
-                       +           ibit15 * adv_mom_1                        &
+                          ( 37.0_wp * ibit17 * adv_mom_5                        &
+                       +     7.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        &
                           ) *                                                &
                              ( u(k+1,j,i)  + u(k,j,i)     )                  &
-                   -      (  8.0 * ibit17 * adv_mom_5                        &
-                       +           ibit16 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( u(k_pp,j,i) + u(k-1,j,i)   )                  &
-                   +      (        ibit17 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                           ) *                                                &
                              ( u(k_ppp,j,i) + u(k_mm,j,i) )                  &
@@ -3376,14 +3382,14 @@
 
                 diss_t(k) = - ABS( w_comp ) * (                              &
-                          ( 10.0 * ibit17 * adv_mom_5                        &
-                       +     3.0 * ibit16 * adv_mom_3                        &
-                       +           ibit15 * adv_mom_1                        &
+                          ( 10.0_wp * ibit17 * adv_mom_5                        &
+                       +     3.0_wp * ibit16 * adv_mom_3                        &
+                       +              ibit15 * adv_mom_1                        &
                           ) *                                                &
                              ( u(k+1,j,i)   - u(k,j,i)    )                  &
-                   -      (  5.0 * ibit17 * adv_mom_5                        &
-                       +           ibit16 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit17 * adv_mom_5                        &
+                       +              ibit16 * adv_mom_3                        &
                           ) *                                                &
                              ( u(k_pp,j,i)  - u(k-1,j,i)  )                  &
-                   +      (        ibit17 * adv_mom_5                        &
+                   +      (           ibit17 * adv_mom_5                        &
                            ) *                                               &
                              ( u(k_ppp,j,i) - u(k_mm,j,i) )                  &
@@ -3397,5 +3403,5 @@
                      +  ( w_comp      - ( w(k-1,j,i) + w(k-1,j,i-1) ) )       &
                                                                     * ddzw(k) &
-                      ) * 0.5
+                      ) * 0.5_wp
 
                  tend(k,j,i) = tend(k,j,i) - (                                 &
@@ -3420,8 +3426,8 @@
                  sums_us2_ws_l(k,tn) = sums_us2_ws_l(k,tn)                    &
                               + ( flux_r(k) *                                 &
-                                ( u_comp(k) - 2.0 * hom(k,1,1,0) )            &
+                                ( u_comp(k) - 2.0_wp * hom(k,1,1,0) )            &
                               / ( u_comp(k) - gu + 1.0E-20_wp   )             &
                               +   diss_r(k) *                                 &
-                                  ABS( u_comp(k) - 2.0 * hom(k,1,1,0) )       &
+                                  ABS( u_comp(k) - 2.0_wp * hom(k,1,1,0) )       &
                               / ( ABS( u_comp(k) - gu ) + 1.0E-20_wp ) )      &
                               *   weight_substep(intermediate_timestep_count)
@@ -3508,6 +3514,6 @@
 
 
-       gu = 2.0 * u_gtrans
-       gv = 2.0 * v_gtrans
+       gu = 2.0_wp * u_gtrans
+       gv = 2.0_wp * v_gtrans
 
 !
@@ -3524,14 +3530,14 @@
                 u_comp_l           = u(k,j,i) + u(k,j,i-1) - gu
                 flux_l             = u_comp_l * (                          &
-                                    ( 37.0 * ibit11 * adv_mom_5             &
-                                 +     7.0 * ibit10 * adv_mom_3             &
-                                 +           ibit9  * adv_mom_1             &
+                                    ( 37.0_wp * ibit11 * adv_mom_5             &
+                                 +     7.0_wp * ibit10 * adv_mom_3             &
+                                 +              ibit9  * adv_mom_1             &
                                     ) *                                     &
                                   ( u(k,j,i)   + u(k,j,i-1) )               &
-                             -      (  8.0 * ibit11 * adv_mom_5             &
-                                 +           ibit10 * adv_mom_3             &
+                             -      (  8.0_wp * ibit11 * adv_mom_5             &
+                                 +              ibit10 * adv_mom_3             &
                                     ) *                                     &
                                   ( u(k,j,i+1) + u(k,j,i-2) )               &
-                             +      (        ibit11 * adv_mom_5             &
+                             +      (           ibit11 * adv_mom_5             &
                                     ) *                                     &
                                   ( u(k,j,i+2) + u(k,j,i-3) )               &
@@ -3539,14 +3545,14 @@
 
                 diss_l             = - ABS( u_comp_l ) * (                &
-                                   ( 10.0 * ibit11 * adv_mom_5             &
-                                +     3.0 * ibit10 * adv_mom_3             &
-                                +           ibit9  * adv_mom_1             &
+                                   ( 10.0_wp * ibit11 * adv_mom_5             &
+                                +     3.0_wp * ibit10 * adv_mom_3             &
+                                +              ibit9  * adv_mom_1             &
                                    ) *                                     &
                                  ( u(k,j,i)   - u(k,j,i-1) )               &
-                            -      (  5.0 * ibit11 * adv_mom_5             &
-                                +           ibit10 * adv_mom_3             &
+                            -      (  5.0_wp * ibit11 * adv_mom_5             &
+                                +              ibit10 * adv_mom_3             &
                                    ) *                                     &
                                  ( u(k,j,i+1) - u(k,j,i-2) )               &
-                            +      (        ibit11 * adv_mom_5             &
+                            +      (           ibit11 * adv_mom_5             &
                                    ) *                                     &
                                  ( u(k,j,i+2) - u(k,j,i-3) )               &
@@ -3555,14 +3561,14 @@
                 u_comp    = u(k,j,i+1) + u(k,j,i)
                 flux_r    = ( u_comp   - gu ) * (                           &
-                          ( 37.0 * ibit11 * adv_mom_5                        &
-                       +     7.0 * ibit10 * adv_mom_3                        &
-                       +           ibit9  * adv_mom_1                        &
+                          ( 37.0_wp * ibit11 * adv_mom_5                        &
+                       +     7.0_wp * ibit10 * adv_mom_3                        &
+                       +              ibit9  * adv_mom_1                        &
                           ) *                                                &
                                  ( u(k,j,i+1) + u(k,j,i)   )                 &
-                   -      (  8.0 * ibit11 * adv_mom_5                        &
-                       +           ibit10 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit11 * adv_mom_5                        &
+                       +              ibit10 * adv_mom_3                        &
                           ) *                                                &
                                  ( u(k,j,i+2) + u(k,j,i-1) )                 &
-                   +      (        ibit11 * adv_mom_5                        &
+                   +      (           ibit11 * adv_mom_5                        &
                           ) *                                                &
                                  ( u(k,j,i+3) + u(k,j,i-2) )                 &
@@ -3570,14 +3576,14 @@
 
                 diss_r    = - ABS( u_comp    - gu ) * (                      &
-                          ( 10.0 * ibit11 * adv_mom_5                        &
-                       +     3.0 * ibit10 * adv_mom_3                        &
-                       +           ibit9  * adv_mom_1                        &
+                          ( 10.0_wp * ibit11 * adv_mom_5                        &
+                       +     3.0_wp * ibit10 * adv_mom_3                        &
+                       +              ibit9  * adv_mom_1                        &
                           ) *                                                &
                                  ( u(k,j,i+1) - u(k,j,i)  )                  &
-                   -      (  5.0 * ibit11 * adv_mom_5                        &
-                       +           ibit10 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit11 * adv_mom_5                        &
+                       +              ibit10 * adv_mom_3                        &
                           ) *                                                &
                                  ( u(k,j,i+2) - u(k,j,i-1) )                 &
-                   +      (        ibit11 * adv_mom_5                        &
+                   +      (           ibit11 * adv_mom_5                        &
                           ) *                                                &
                                  ( u(k,j,i+3) - u(k,j,i-2) )                 &
@@ -3590,14 +3596,14 @@
                 v_comp_s                 = v(k,j,i) + v(k,j,i-1) - gv
                 flux_s                   = v_comp_s * (                       &
-                                   ( 37.0 * ibit14 * adv_mom_5                &
-                                +     7.0 * ibit13 * adv_mom_3                &
-                                +           ibit12 * adv_mom_1                &
-                                   ) *                                        &
+                                   ( 37.0_wp * ibit14 * adv_mom_5                &
+                                +     7.0_wp * ibit13 * adv_mom_3                &
+                                +              ibit12 * adv_mom_1                &
+                                   ) *                                         &
                                      ( u(k,j,i)   + u(k,j-1,i) )              &
-                            -      (  8.0 * ibit14 * adv_mom_5                &
-                            +           ibit13 * adv_mom_3                    &
+                            -      (  8.0_wp * ibit14 * adv_mom_5                &
+                            +                  ibit13 * adv_mom_3                    &
                                    ) *                                        &
                                      ( u(k,j+1,i) + u(k,j-2,i) )              &
-                        +      (        ibit14 * adv_mom_5                    &
+                        +      (               ibit14 * adv_mom_5                    &
                                ) *                                            &
                                      ( u(k,j+2,i) + u(k,j-3,i) )              &
@@ -3605,14 +3611,14 @@
 
                 diss_s                  = - ABS ( v_comp_s ) * (              &
-                                   ( 10.0 * ibit14 * adv_mom_5                &
-                                +     3.0 * ibit13 * adv_mom_3                &
-                                +           ibit12 * adv_mom_1                &
+                                   ( 10.0_wp * ibit14 * adv_mom_5                &
+                                +     3.0_wp * ibit13 * adv_mom_3                &
+                                +              ibit12 * adv_mom_1                &
                                    ) *                                        &
                                      ( u(k,j,i)   - u(k,j-1,i) )              &
-                            -      (  5.0 * ibit14 * adv_mom_5                &
-                                +           ibit13 * adv_mom_3                &
+                            -      (  5.0_wp * ibit14 * adv_mom_5                &
+                                +              ibit13 * adv_mom_3                &
                                    ) *                                        &
                                      ( u(k,j+1,i) - u(k,j-2,i) )              &
-                            +      (        ibit14 * adv_mom_5                &
+                            +      (           ibit14 * adv_mom_5                &
                                    ) *                                        &
                                      ( u(k,j+2,i) - u(k,j-3,i) )              &
